#include <stdlib.h>
#include <utils.h>
#include <types.h>
#include <globals.h>
#include <math.h>

/*
 * Seeds the random number generator
 */
void
init_rand(int seed)
{
  srand(seed);
  return;
}

/*
 * Returns a random U(1) number
 */
complex
scalar_rand()
{
  complex c;
  double pi = M_PI;
  double phi = 2*pi*rand()/(double)RAND_MAX;
  c.re = cos(phi);
  c.im = sin(phi);
  return c;
}

/*
 * Fills a spinoe field with random U(1) numbers
 */
void
spinor_rand(complex *x)
{
  for(int v=0; v<length; v++)
    for(int s=0; s<NS*NC; s++) {
      x[v*NC*NS + s] = scalar_rand();
    }     
  return;
}
