#include <stdlib.h>
#include <utils.h>
#include <types.h>
#include <globals.h>

/*
 * Does y[:] <- a*x[:] + y[:]
 */
void
spinor_zaxpy(complex a, complex *x, complex *y)
{
  for(int v=0; v<length*NC*NS; v++) {
    complex yv = y[v];
    complex xv = x[v];
    y[v].re = a.re*xv.re - a.im*xv.im + yv.re;
    y[v].im = a.im*xv.re + a.re*xv.im + yv.im;
  }
  return;
}
