#include <stdlib.h>
#include <utils.h>
#include <types.h>
#include <globals.h>
#include <math.h>

void
init_rand(int seed)
{
  srand(seed);
  return;
}

complex
crand() 
{
  complex c;
  double pi = M_PI;
  double phi = 2*pi*rand()/(double)RAND_MAX;
  c.re = cos(phi);
  c.im = sin(phi);
  return c;
}

void
spinor_rand(complex *x)
{
  for(int v=0; v<length; v++)
    for(int s=0; s<NS*NC; s++) {
      x[v*NC*NS + s] = crand();
    }     
  return;
}

void
su3_rand(complex *u)
{
  for(int v=0; v<length; v++)
    for(int c=0; c<NC*NC; c++) {
      u[v*NC*NC + c] = crand();
    }     
  return;
}
